## org.codehaus.groovy.antlr
Class GroovySourceAST

    java.lang.Object
      antlr.BaseAST
          antlr.CommonAST
              org.codehaus.groovy.antlr.GroovySourceAST

All Implemented Interfaces:
  AST, Serializable, Comparable

    public class GroovySourceAST

extends CommonAST
implements Comparable

We have an AST subclass so we can track source information. Very odd that ANTLR doesn't do this by default.

Author:
  Mike Spille, Jeremy Rayner <groovy@ross-rayner.com>
See Also:
  Serialized Form

Field Summary

Fields inherited from class antlr.BaseAST
`down, right`

Constructor Summary
`GroovySourceAST()`
`GroovySourceAST(Token t)`

Method Summary
`GroovySourceAST` `childAt(int position)`
`GroovySourceAST` `childOfType(int type)`
`int` `compareTo(Object object)`
`int` `getColumn()`
`int` `getColumnLast()`
`int` `getLine()`
`int` `getLineLast()`
`String` `getSnippet()`
`void` `initialize(AST ast)`
`void` `initialize(Token t)`
`void` `setColumn(int column)`
`void` `setColumnLast(int colLast)`
`void` `setLast(Token last)`
`void` `setLine(int line)`
`void` `setLineLast(int lineLast)`
`void` `setSnippet(String snippet)`

Methods inherited from class antlr.CommonAST
`getText, getType, initialize, setText, setType`

Methods inherited from class antlr.BaseAST
`addChild, decode, encode, equals, equalsList, equalsListPartial, equalsTree, equalsTreePartial, findAll, findAllPartial, getFirstChild, getNextSibling, getNumberOfChildren, getTokenNames, removeChildren, setFirstChild, setNextSibling, setVerboseStringConversion, toString, toStringList, toStringTree, xmlSerialize, xmlSerializeNode, xmlSerializeRootClose, xmlSerializeRootOpen`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GroovySourceAST

    public GroovySourceAST()

### GroovySourceAST

    public GroovySourceAST(Token t)

Method Detail

### initialize

    public void initialize(AST ast)

  Specified by:
    `initialize` in interface `AST`
  Overrides:
    `initialize` in class `CommonAST`

### initialize

    public void initialize(Token t)

  Specified by:
    `initialize` in interface `AST`
  Overrides:
    `initialize` in class `CommonAST`

### setLast

    public void setLast(Token last)

### getLineLast

    public int getLineLast()

### setLineLast

    public void setLineLast(int lineLast)

### getColumnLast

    public int getColumnLast()

### setColumnLast

    public void setColumnLast(int colLast)

### setLine

    public void setLine(int line)

### getLine

    public int getLine()

  Specified by:
    `getLine` in interface `AST`
  Overrides:
    `getLine` in class `BaseAST`

### setColumn

    public void setColumn(int column)

### getColumn

    public int getColumn()

  Specified by:
    `getColumn` in interface `AST`
  Overrides:
    `getColumn` in class `BaseAST`

### setSnippet

    public void setSnippet(String snippet)

### getSnippet

    public String getSnippet()

### compareTo

    public int compareTo(Object object)

  Specified by:
    `compareTo` in interface `Comparable`

### childAt

    public GroovySourceAST childAt(int position)

### childOfType

    public GroovySourceAST childOfType(int type)

Copyright © 2003-2008 The Codehaus. All rights reserved.